pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/43435: ncursesw/ncurses.h needs other includes

>Number:         43435
>Category:       pkg
>Synopsis:       ncursesw/ncurses.h needs other includes
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Jun 08 12:40:00 +0000 2010
>Originator:     Jan ?mydke
>Release:        5.0.1
NetBSD 5.0.1 NetBSD 5.0.1 (GENERIC) #0: Thu Jul 30 
01:39:11 UTC 2009
include/ncursesw/ncurses.h:66 #include <ncurses_dll.h>

but ncurses_dll.h is in include/ncurses/

I believe there should be a patch in ncursesw/ncurses.h or links to ../ncurses 
or some other workaround.

I tried to build sth which prefers ncursesw if available (but I cannot force it 
to use ncurses instead) and it failed because of the missing file(s).

Finally I was able to build it with CPPFLAGS="-I/usr/pkg/include 
-I/usr/pkg/include/ncurses" but some other application might fail ultimately.

I think users should be aware of this (note in devel/ncursesw/MESSAGE?).

use CPPFLAGS="-I/usr/pkg/include -I/usr/pkg/include/ncurses" if possible.

Home | Main Index | Thread Index | Old Index